ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_ACCESS_POINT_EVENT_CHANGED =
   EFL_EVENT_DESCRIPTION("changed");

Eina_Future *_efl_net_control_access_point_connect(Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY(efl_net_control_access_point_connect, Eina_Future *, NULL);

void _efl_net_control_access_point_disconnect(Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODY(efl_net_control_access_point_disconnect);

void _efl_net_control_access_point_forget(Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODY(efl_net_control_access_point_forget);

Efl_Net_Control_Access_Point_State _efl_net_control_access_point_state_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_state_get, Efl_Net_Control_Access_Point_State, 0);

Efl_Net_Control_Access_Point_Error _efl_net_control_access_point_error_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_error_get, Efl_Net_Control_Access_Point_Error, 0);

const char *_efl_net_control_access_point_ssid_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);


static Eina_Value
__eolian_efl_net_control_access_point_ssid_get_reflect(const Eo *obj)
{
   const char *val = efl_net_control_access_point_ssid_get(obj);
   return eina_value_string_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_ssid_get, const char *, NULL);

void _efl_net_control_access_point_priority_set(Eo *obj, Efl_Net_Control_Access_Point_Data *pd, unsigned int priority);


static Eina_Error
__eolian_efl_net_control_access_point_priority_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   unsigned int cval;
   if (!eina_value_uint_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_net_control_access_point_priority_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_control_access_point_priority_set, EFL_FUNC_CALL(priority), unsigned int priority);

unsigned int _efl_net_control_access_point_priority_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);


static Eina_Value
__eolian_efl_net_control_access_point_priority_get_reflect(const Eo *obj)
{
   unsigned int val = efl_net_control_access_point_priority_get(obj);
   return eina_value_uint_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_priority_get, unsigned int, 0);

Efl_Net_Control_Technology *_efl_net_control_access_point_technology_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_technology_get, Efl_Net_Control_Technology *, NULL);

uint8_t _efl_net_control_access_point_strength_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_strength_get, uint8_t, 0);

Eina_Bool _efl_net_control_access_point_roaming_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);


static Eina_Value
__eolian_efl_net_control_access_point_roaming_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_net_control_access_point_roaming_get(obj);
   return eina_value_bool_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_roaming_get, Eina_Bool, 0);

void _efl_net_control_access_point_auto_connect_set(Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Eina_Bool auto_connect);


static Eina_Error
__eolian_efl_net_control_access_point_auto_connect_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_net_control_access_point_auto_connect_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_control_access_point_auto_connect_set, EFL_FUNC_CALL(auto_connect), Eina_Bool auto_connect);

Eina_Bool _efl_net_control_access_point_auto_connect_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);


static Eina_Value
__eolian_efl_net_control_access_point_auto_connect_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_net_control_access_point_auto_connect_get(obj);
   return eina_value_bool_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_auto_connect_get, Eina_Bool, 0);

Eina_Bool _efl_net_control_access_point_remembered_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);


static Eina_Value
__eolian_efl_net_control_access_point_remembered_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_net_control_access_point_remembered_get(obj);
   return eina_value_bool_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_remembered_get, Eina_Bool, 0);

Eina_Bool _efl_net_control_access_point_immutable_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);


static Eina_Value
__eolian_efl_net_control_access_point_immutable_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_net_control_access_point_immutable_get(obj);
   return eina_value_bool_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_immutable_get, Eina_Bool, 0);

Efl_Net_Control_Access_Point_Security _efl_net_control_access_point_security_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_security_get, Efl_Net_Control_Access_Point_Security, 0);

Eina_Iterator *_efl_net_control_access_point_name_servers_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_name_servers_get, Eina_Iterator *, NULL);

Eina_Iterator *_efl_net_control_access_point_time_servers_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_time_servers_get, Eina_Iterator *, NULL);

Eina_Iterator *_efl_net_control_access_point_domains_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_domains_get, Eina_Iterator *, NULL);

void _efl_net_control_access_point_ipv4_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Efl_Net_Control_Access_Point_Ipv4_Method *method, const char **address, const char **netmask, const char **gateway);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_net_control_access_point_ipv4_get, EFL_FUNC_CALL(method, address, netmask, gateway), Efl_Net_Control_Access_Point_Ipv4_Method *method, const char **address, const char **netmask, const char **gateway);

void _efl_net_control_access_point_ipv6_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Efl_Net_Control_Access_Point_Ipv6_Method *method, const char **address, uint8_t *prefix_length, const char **netmask, const char **gateway);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_net_control_access_point_ipv6_get, EFL_FUNC_CALL(method, address, prefix_length, netmask, gateway), Efl_Net_Control_Access_Point_Ipv6_Method *method, const char **address, uint8_t *prefix_length, const char **netmask, const char **gateway);

void _efl_net_control_access_point_proxy_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Efl_Net_Control_Access_Point_Proxy_Method *method, const char **url, Eina_Iterator **servers, Eina_Iterator **excludes);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_net_control_access_point_proxy_get, EFL_FUNC_CALL(method, url, servers, excludes), Efl_Net_Control_Access_Point_Proxy_Method *method, const char **url, Eina_Iterator **servers, Eina_Iterator **excludes);

void _efl_net_control_access_point_configuration_name_servers_set(Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Eina_Iterator *name_servers);

static void
_efl_net_control_access_point_configuration_name_servers_set_ownership_fallback(Eina_Iterator *name_servers)
{
   eina_iterator_free(name_servers);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV_FALLBACK(efl_net_control_access_point_configuration_name_servers_set, _efl_net_control_access_point_configuration_name_servers_set_ownership_fallback(name_servers);, EFL_FUNC_CALL(name_servers), Eina_Iterator *name_servers);

Eina_Iterator *_efl_net_control_access_point_configuration_name_servers_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_configuration_name_servers_get, Eina_Iterator *, NULL);

void _efl_net_control_access_point_configuration_time_servers_set(Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Eina_Iterator *time_servers);

static void
_efl_net_control_access_point_configuration_time_servers_set_ownership_fallback(Eina_Iterator *time_servers)
{
   eina_iterator_free(time_servers);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV_FALLBACK(efl_net_control_access_point_configuration_time_servers_set, _efl_net_control_access_point_configuration_time_servers_set_ownership_fallback(time_servers);, EFL_FUNC_CALL(time_servers), Eina_Iterator *time_servers);

Eina_Iterator *_efl_net_control_access_point_configuration_time_servers_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_configuration_time_servers_get, Eina_Iterator *, NULL);

void _efl_net_control_access_point_configuration_domains_set(Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Eina_Iterator *domains);

static void
_efl_net_control_access_point_configuration_domains_set_ownership_fallback(Eina_Iterator *domains)
{
   eina_iterator_free(domains);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV_FALLBACK(efl_net_control_access_point_configuration_domains_set, _efl_net_control_access_point_configuration_domains_set_ownership_fallback(domains);, EFL_FUNC_CALL(domains), Eina_Iterator *domains);

Eina_Iterator *_efl_net_control_access_point_configuration_domains_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_access_point_configuration_domains_get, Eina_Iterator *, NULL);

void _efl_net_control_access_point_configuration_ipv4_set(Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Efl_Net_Control_Access_Point_Ipv4_Method method, const char *address, const char *netmask, const char *gateway);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_control_access_point_configuration_ipv4_set, EFL_FUNC_CALL(method, address, netmask, gateway), Efl_Net_Control_Access_Point_Ipv4_Method method, const char *address, const char *netmask, const char *gateway);

void _efl_net_control_access_point_configuration_ipv4_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Efl_Net_Control_Access_Point_Ipv4_Method *method, const char **address, const char **netmask, const char **gateway);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_net_control_access_point_configuration_ipv4_get, EFL_FUNC_CALL(method, address, netmask, gateway), Efl_Net_Control_Access_Point_Ipv4_Method *method, const char **address, const char **netmask, const char **gateway);

void _efl_net_control_access_point_configuration_ipv6_set(Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Efl_Net_Control_Access_Point_Ipv6_Method method, const char *address, uint8_t prefix_length, const char *netmask, const char *gateway);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_control_access_point_configuration_ipv6_set, EFL_FUNC_CALL(method, address, prefix_length, netmask, gateway), Efl_Net_Control_Access_Point_Ipv6_Method method, const char *address, uint8_t prefix_length, const char *netmask, const char *gateway);

void _efl_net_control_access_point_configuration_ipv6_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Efl_Net_Control_Access_Point_Ipv6_Method *method, const char **address, uint8_t *prefix_length, const char **netmask, const char **gateway);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_net_control_access_point_configuration_ipv6_get, EFL_FUNC_CALL(method, address, prefix_length, netmask, gateway), Efl_Net_Control_Access_Point_Ipv6_Method *method, const char **address, uint8_t *prefix_length, const char **netmask, const char **gateway);

void _efl_net_control_access_point_configuration_proxy_set(Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Efl_Net_Control_Access_Point_Proxy_Method method, const char *url, Eina_Iterator *servers, Eina_Iterator *excludes);

static void
_efl_net_control_access_point_configuration_proxy_set_ownership_fallback(Efl_Net_Control_Access_Point_Proxy_Method method, const char *url, Eina_Iterator *servers, Eina_Iterator *excludes)
{
   (void)method;
   (void)url;
   eina_iterator_free(servers);
   eina_iterator_free(excludes);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV_FALLBACK(efl_net_control_access_point_configuration_proxy_set, _efl_net_control_access_point_configuration_proxy_set_ownership_fallback(method, url, servers, excludes);, EFL_FUNC_CALL(method, url, servers, excludes), Efl_Net_Control_Access_Point_Proxy_Method method, const char *url, Eina_Iterator *servers, Eina_Iterator *excludes);

void _efl_net_control_access_point_configuration_proxy_get(const Eo *obj, Efl_Net_Control_Access_Point_Data *pd, Efl_Net_Control_Access_Point_Proxy_Method *method, const char **url, Eina_Iterator **servers, Eina_Iterator **excludes);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_net_control_access_point_configuration_proxy_get, EFL_FUNC_CALL(method, url, servers, excludes), Efl_Net_Control_Access_Point_Proxy_Method *method, const char **url, Eina_Iterator **servers, Eina_Iterator **excludes);

void _efl_net_control_access_point_efl_object_destructor(Eo *obj, Efl_Net_Control_Access_Point_Data *pd);


static Eina_Bool
_efl_net_control_access_point_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_NET_CONTROL_ACCESS_POINT_EXTRA_OPS
#define EFL_NET_CONTROL_ACCESS_POINT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_connect, _efl_net_control_access_point_connect),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_disconnect, _efl_net_control_access_point_disconnect),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_forget, _efl_net_control_access_point_forget),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_state_get, _efl_net_control_access_point_state_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_error_get, _efl_net_control_access_point_error_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_ssid_get, _efl_net_control_access_point_ssid_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_priority_set, _efl_net_control_access_point_priority_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_priority_get, _efl_net_control_access_point_priority_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_technology_get, _efl_net_control_access_point_technology_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_strength_get, _efl_net_control_access_point_strength_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_roaming_get, _efl_net_control_access_point_roaming_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_auto_connect_set, _efl_net_control_access_point_auto_connect_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_auto_connect_get, _efl_net_control_access_point_auto_connect_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_remembered_get, _efl_net_control_access_point_remembered_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_immutable_get, _efl_net_control_access_point_immutable_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_security_get, _efl_net_control_access_point_security_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_name_servers_get, _efl_net_control_access_point_name_servers_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_time_servers_get, _efl_net_control_access_point_time_servers_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_domains_get, _efl_net_control_access_point_domains_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_ipv4_get, _efl_net_control_access_point_ipv4_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_ipv6_get, _efl_net_control_access_point_ipv6_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_proxy_get, _efl_net_control_access_point_proxy_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_name_servers_set, _efl_net_control_access_point_configuration_name_servers_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_name_servers_get, _efl_net_control_access_point_configuration_name_servers_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_time_servers_set, _efl_net_control_access_point_configuration_time_servers_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_time_servers_get, _efl_net_control_access_point_configuration_time_servers_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_domains_set, _efl_net_control_access_point_configuration_domains_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_domains_get, _efl_net_control_access_point_configuration_domains_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_ipv4_set, _efl_net_control_access_point_configuration_ipv4_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_ipv4_get, _efl_net_control_access_point_configuration_ipv4_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_ipv6_set, _efl_net_control_access_point_configuration_ipv6_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_ipv6_get, _efl_net_control_access_point_configuration_ipv6_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_proxy_set, _efl_net_control_access_point_configuration_proxy_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_access_point_configuration_proxy_get, _efl_net_control_access_point_configuration_proxy_get),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_net_control_access_point_efl_object_destructor),
      EFL_NET_CONTROL_ACCESS_POINT_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"ssid", NULL, __eolian_efl_net_control_access_point_ssid_get_reflect},
      {"priority", __eolian_efl_net_control_access_point_priority_set_reflect, __eolian_efl_net_control_access_point_priority_get_reflect},
      {"roaming", NULL, __eolian_efl_net_control_access_point_roaming_get_reflect},
      {"auto_connect", __eolian_efl_net_control_access_point_auto_connect_set_reflect, __eolian_efl_net_control_access_point_auto_connect_get_reflect},
      {"remembered", NULL, __eolian_efl_net_control_access_point_remembered_get_reflect},
      {"immutable", NULL, __eolian_efl_net_control_access_point_immutable_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_net_control_access_point_class_desc = {
   EO_VERSION,
   "Efl.Net.Control.Access_Point",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Net_Control_Access_Point_Data),
   _efl_net_control_access_point_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_net_control_access_point_class_get, &_efl_net_control_access_point_class_desc, EFL_LOOP_CONSUMER_CLASS, NULL);
